Cyberduck Mountain Duck CLI

#1965 closed defect (fixed)

handling unicode file/folder names

Reported by: macgiorgosgr@… Owned by: dkocher
Priority: highest Milestone: 3.0.2
Component: core Version: 3.0b2
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description

When I use CyberDuck to connect to my file server, I can have a list of files/folders with names containing unicode characters (greek in particular), but if I try to download a file or list the contents of such a folder, I get a "no such file or folder".

Change History (5)

comment:1 Changed on May 3, 2008 at 6:44:57 PM by dkocher

  • Milestone 3.0 deleted
  • Resolution set to worksforme
  • Status changed from new to closed

Try to change the character encoding used. See 'View' → 'Text Encoding'. Try UTF-8 (the default), ISO-8859-1 and Windows-1252. Refer to http://cyberduck.ch/help/en/problems/index.html

comment:2 Changed on May 3, 2008 at 7:03:50 PM by macgiorgosgr@…

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I have traced down the problem furher. The problem seems to be relevant to accented Greek characters, such as ά, έ, ή ΐ, ϊ, etc.. I write this again, it is not a display problem of these filenames, the names are properly displayed. BUT if Cyberduck tries to download a file or folder which has a filename containing accented Greek characters, it returns a "no such file or directory" error. The same error is returned when trying to view the contents of a folder with a folder name with accented greek characters.

comment:3 Changed on May 3, 2008 at 7:22:26 PM by dkocher

Could you try running

defaults write ch.sudo.cyberduck path.normalize.unicode false

in a Terminal.app window and restart Cyberduck.

comment:4 Changed on May 3, 2008 at 9:37:50 PM by anonymous

It works with those settings.

comment:5 Changed on Jul 21, 2008 at 4:53:52 PM by dkocher

  • Milestone set to 3.0.2
  • Resolution set to fixed
  • Status changed from reopened to closed

In r4111 unicode normalization is off by default which preserves the Unicode normalization used on the server.

Last edited on Dec 19, 2010 at 6:13:55 PM by dkocher (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software